from sqlalchemy import Boolean, Column, ForeignKey, String
from sqlalchemy.orm import relationship

from database import Base

class IdToken(Base):
    __tablename__ = "id_tokens"

    id = Column(String, primary_key=True)
    title = Column(String)
    is_active = Column(Boolean, default=True)

    owner_id = Column(String, ForeignKey("users.id"))
    owner = relationship("User", back_populates="id_tokens")
